const columnLabel = {
  ACTIVE: { key: 'active', label: 'Is Active' },
  BYPASS_INSPECTION: { key: 'privacySetting', label: 'Bypass Inspection' },
  CREATED_AT: { key: 'createdAt', label: 'Created at.' },
  UPDATED_AT: { key: 'updatedAt', label: 'Updated at.' },
  ID: { key: 'id', label: 'ID' },
  NAME: { key: 'name', label: 'Agent' },
  TYPE: { key: 'type', label: 'Agent Type' },
  TRAINS: { key: 'trainIds', label: 'Trains' },
  OPERATION: { key: 'operation', label: 'Operation' },
};

const columns = [
  {
    id: columnLabel.ID.key,
    align: 'left',
    label: columnLabel.ID.label,
  },
  {
    id: columnLabel.NAME.key,
    align: 'left',
    label: columnLabel.NAME.label,
  },
  {
    id: columnLabel.TRAINS.key,
    align: 'left',
    label: columnLabel.TRAINS.label,
  },
  {
    id: columnLabel.ACTIVE.key,
    align: 'left',
    label: columnLabel.ACTIVE.label,
  },
  {
    id: columnLabel.TYPE.key,
    align: 'left',
    label: columnLabel.TYPE.label,
  },
  {
    id: columnLabel.BYPASS_INSPECTION.key,
    align: 'left',
    label: columnLabel.BYPASS_INSPECTION.label,
  },
  {
    id: columnLabel.CREATED_AT.key,
    align: 'left',
    label: columnLabel.CREATED_AT.label,
  },
  {
    id: columnLabel.UPDATED_AT.key,
    align: 'left',
    label: columnLabel.UPDATED_AT.label,
  },
  {
    id: columnLabel.OPERATION.key,
    align: 'center',
    label: columnLabel.OPERATION.label,
  },
];

export { columnLabel, columns };
