import axios from '../../services/AxiosService';

const fetchAgents = () => axios.get('/agent');

const createAgent = (payload) => axios.post('/agent', payload);

const updateAgent = ({ agentId, payload }) =>
  axios.patch(`/agent/${agentId}`, payload);

const deleteAgent = (agentId) => axios.delete(`/agent/${agentId}`);

export { fetchAgents, createAgent, updateAgent, deleteAgent };
